#define	CRLF	chr(13)+chr(10)


FUNCTION CreateINIfile(pcIniFile, pcProgram)

*	Create INI file, if not exists

if .not.file(pcIniFile)          && Ini_file not found, create default
  StrToFile("***** "+pcIniFile+": INI file, created: "+DtoS(date())+" "+time(), pcIniFile, .F.)
  StrToFile(CRLF+CRLF, pcIniFile, .T.)
  StrToFile("[Common]           ; common section", pcIniFile, .T.)
  StrToFile(CRLF+CRLF, pcIniFile, .T.)
  StrToFile("; LOGFILE = NO", pcIniFile, .T.)
  StrToFile(CRLF, pcIniFile, .T.)
  StrToFile("; CFGFILE", pcIniFile, .T.)
  StrToFile(CRLF, pcIniFile, .T.)
  StrToFile("; HELPFILE", pcIniFile, .T.)
  StrToFile(CRLF, pcIniFile, .T.)
  StrToFile("; DSN=", pcIniFile, .T.)
  StrToFile(CRLF, pcIniFile, .T.)
  StrToFile("; LOGIN=", pcIniFile, .T.)
  StrToFile(CRLF, pcIniFile, .T.)
  StrToFile("; PASSWORD=", pcIniFile, .T.)
  StrToFile(CRLF, pcIniFile, .T.)
  StrToFile("; LOCALDAT=", pcIniFile, .T.)
  StrToFile(CRLF, pcIniFile, .T.)
  StrToFile("LogfileExpireDays=60", pcIniFile, .T.)
  StrToFile(CRLF, pcIniFile, .T.)
  StrToFile("param01=value-of-param01        ; remark", pcIniFile, .T.)
  StrToFile(CRLF+CRLF, pcIniFile, .T.)

  StrToFile("["+pcProgram+"]           ; spec. program section", pcIniFile, .T.)
  StrToFile(CRLF+CRLF, pcIniFile, .T.)
  StrToFile("MinimizeToSystray=YES		; minimize app to systray", pcIniFile, .T.)
  StrToFile(CRLF, pcIniFile, .T.)
  StrToFile("BackUpRoot=backup\"+cProgram+[		; backup dir\file] , pcIniFile, .T.)
  StrToFile(CRLF, pcIniFile, .T.)
  StrToFile("BackUpGen=9			; # of generations to backup", pcIniFile, .T.)
  StrToFile(CRLF, pcIniFile, .T.)
  StrToFile("DDStable="+cProgram+".dds			; data definition system table", pcIniFile, .T.)
  StrToFile(CRLF, pcIniFile, .T.)
  StrToFile("FlushInterval=5 ; secs, 0=disable", pcIniFile, .T.)
  StrToFile(CRLF, pcIniFile, .T.)
  StrToFile("param02=value-of-param02        ; remark", pcIniFile, .T.)
  StrToFile(CRLF, pcIniFile, .T.)
endif
