PARAMETERS pcRTFfile, pnCopies

#DEFINE	CRLF	chr(13)+chr(10)
#DEFINE TAB		chr(9)


#INCLUDE Foxpro.H

*	pcRTFfile		RTF nebo TXT soubor
*	pnCopies		pocet vytisku, default 1

*	nejsou-li parametry, vyvola se okno s udrzbou parametru

*       RTFtisk
*				tisk RTF a TXT souboru s pekdovnm CP

cRelease=chr(255)
IF .not.empty(AGETFILEVERSION(aVerInfo, sys(16, 0)))
	cRelease="rel.: "+Alltrim(Transform(aVerInfo[4]))
	release aVerInfo
ENDIF 
cProgram="RTFtisk"

IF .not.FirstInstance(cProgram)
   MessageBox("Program is already running"+CHR(13)+"cancel...",0+16,cProgram)
   QUIT
ENDIF

* DO FORM waitwind NAME frmWait WITH "<"+cProgram+">"+CHR(13)+"Application is loading..."

store [] to cCfgFile, cIniFile, cLogFile, cHelpFile, cDataDir, cDSN, cPassword, cLogin
store 60 to nLogFileExpireDays

Settings("Save")
SetEnvironment(cProgram)		&& std files, SETtings

ON SHUTDOWN do ProgramShutdown

cINIfile=iif( file(cINIfile), FullPath(cINIfile), ForcePath(cINIfile, JustPath(sys(16, 0))) )

Logging("START "+cRelease)
Logging("Used Params - Common/INIFILE: "+FullPath(cINIfile)+iif(file(cINIfile), " ", " not ")+"present")
Logging("Used Params - Common/CFGFILE: "+FullPath(cCfgfile)+iif(file(cCFGfile), " ", " not ")+"present")
Logging("Used Params - Common/HELPFILE: "+FullPath(cHelpfile)+iif(file(cHELPfile), " ", " not ")+"present")
Logging("Used Params - Common/LogFileExpireDays: "+Transform(nLogFileExpireDays))

*cParam01=GetIniPar(cIniFile, "param01", "Common")
*Logging("Used Params - Common/param01: "+cParam01)

*cParam02=GetIniPar(cIniFile, "param02", cProgram, [Param02])			&& char param
*Logging("Used Params - RTFtisk/param02: "+cParam02)

*lParam03=InList( Upper(GetIniPar(cIniFile, "param03", cProgram, [NO])),						;
*					   ".T.", "T", "1", "YES", "Y", "TRUE", "JA", "J", "ANO", "A", "ON" )		&& logical param
*Logging("Used Params - RTFtisk/param03: "+iif(lParam03, "YES", "NO"))

*nParam04=val(GetIniPar(cIniFile, "param04", cProgram, [0]))			&& num param
*Logging("Used Params - RTFtisk/param04: "+Transform(nParam04))

lMinimizeToSysTray=InList( Upper(GetIniPar(cIniFile, "MinimizeToSysTray", cProgram, [NO])),						;
					   ".T.", "T", "1", "YES", "Y", "TRUE", "JA", "J", "ANO", "A", "ON" )		&& logical param
Logging("Used Params - RTFtisk/MinimizeToSysTray: "+iif(lMinimizeToSysTray, "YES", "NO"))

cPrinter=GetIniPar(cIniFile, "Printer", cProgram, [])			&& char param
Logging("Used Params - RTFtisk/Printer: "+cPrinter)
cFontName=GetIniPar(cIniFile, "FontName", cProgram, [Courier New CE])			&& char param
Logging("Used Params - RTFtisk/FontName: "+cFontName)
nFontSize=val(GetIniPar(cIniFile, "FontSize", cProgram, [10]))			&& num param
Logging("Used Params - RTFtisk/FontSize: "+Transform(nFontSize))
lRTFinternalPrint=InList( Upper(GetIniPar(cIniFile, "RTFinternalPrint", cProgram, [ANO])),						;
					   ".T.", "T", "1", "YES", "Y", "TRUE", "JA", "J", "ANO", "A", "ON" )		&& logical param
Logging("Used Params - RTFtisk/RTFinternalPrint: "+iif(lRTFinternalPrint, "YES", "NO"))

nInputCodePage=val( GetIniPar( cIniFile, "InputCodePage", cProgram, Transform(CPcurrent()) ) )			&& jen pro TXT soubor
Logging("Used Params - RTFtisk/InputCodePage: "+Transform(nInputCodePage))
cRTFsoubor=GetIniPar(cIniFile, "RTFsoubor", cProgram, [])			&& char param
Logging("Used Params - RTFtisk/RTFsoubor: "+cRTFsoubor)
lRemoveCtrlChars=InList( Upper(GetIniPar(cIniFile, "RemoveCtrlChars", cProgram, [NO])),						;
					   ".T.", "T", "1", "YES", "Y", "TRUE", "JA", "J", "ANO", "A", "ON" )		&& logical param
Logging("Used Params - RTFtisk/RemoveCtrlChars: "+iif(lRemoveCtrlChars, "YES", "NO"))



IF empty(pcRTFfile)
	store [] to pcRTFfile
	store 1 to pnCopies
ELSE
	pcRTFfile=FullPath(pcRTFfile)
	IF .not.file(pcRTFfile)
		Logging("Soubor nenalezen: "+Transform(pcRTFfile))
		quit
	ENDIF
ENDIF
pnCopies=IIF(empty(pnCopies), 1, val(Transform(pnCopies)))

Logging("dkov parametry - 1 soubor: "+Transform(pcRTFfile))
Logging("dkov parametry - 2 poet kopi: "+Transform(pnCopies))

Logging("Modus "+iif(empty(pcRTFfile), [interactive], [printing]))


***** Kontrola pouzitych OCX a DLL
dimension xaClasses(1)
aFillRow(@xaClasses, 1, [])
* aAddRow(@xaClasses, [MSMAPI.MAPISession.1])
aAddRow(@xaClasses, [TRAYICO.TrayIcoCtrl.1])
* aAddRow(@xaClasses, [Excel.Application])
* aAddRow(@xaClasses, [InternetExplorer.Application])
* aAddRow(@xaClasses, [Outlook.Application])
* aAddRow(@xaClasses, [Com.Sun.Star.ServiceManager.1])
* aAddRow(@xaClasses, [WINFAX.SDKSEND8.0])
* aAddRow(@xaClasses, [SAWZip.Archive.1])
* aAddRow(@xaClasses, [Word.Application])
* aAddRow(@xaClasses, [cdo.message])
* aAddRow(@xaClasses, [ADODB.Connection])
* aAddRow(@xaClasses, [PDF.PdfCtrl.5])
* aAddRow(@xaClasses, [msoutl.outline])
* aAddRow(@xaClasses, [MSComDlg.CommonDialog.1])
* aAddRow(@xaClasses, [MSComctlLib.ProgCtrl.2])		&& Progress Bar
aAddRow(@xaClasses, [RICHTEXT.RichtextCtrl.1])
aAddRow(@xaClasses, [])
xcMsg=CheckClassesRegistration(@xaClasses)
IF .not.empty(xcMsg)
	MessageBox([Nepovedlo se zrizeni instanci:]+xcMsg, 16, cProgram)
	Logging(cProgram+[ Nepovedlo se zrizeni instanci: ]+xcMsg)
ENDIF
release xcMsg, xaClasses

declare integer CreateDC in Win32API string, string, string, string
declare integer DeleteDC in Win32API integer hdc
declare INTEGER ShellExecute in shell32 INTEGER handle, ;
   STRING @ oper, STRING @ ifile, STRING @ iparam, ;
   STRING @ ipath, INTEGER showcmd

oWshNetwork = CreateObject("WScript.Network")

gnLeft=0					&& saved Variables
gnTop=0
gnHeight=470
gnWidth=630
store [] to gcInputFile, gcInputDir, gcOutputFile

If file(cCfgFile)                       && config file (all g* variables saved)
  restore from (cCfgFile) additive
endif
save all like g* to (cCfgFile)

gnHelpContextId=41
lMainCyklus=.T.

cOrigPrinter=set([printer], 2)	&& schova pvodn default printer a nastaven nov
oWshNetwork.SetDefaultPrinter(cPrinter)


* frmWait.Release()
DO WHILE lMainCyklus
  lMainCyklus=.F.

  DO FORM RTFtisk NAME frmRTFtisk
  READ EVENTS

ENDDO

QUIT

*****

FUNCTION ProgramShutdown()
clear events
ON SHUTDOWN
Logging("END")
oWshNetwork.SetDefaultPrinter(cOrigPrinter)
close all
GetNewTmp([Delete])
save all like g* to (cCfgFile)
Settings("Restore")
quit
RETURN .T.

*****

FUNCTION TiskSouboru(oFORM)
local xhDC, lcTxtFile, lcText, lcRTFfile, lcOK, xnI, lcCtrlChars
* globln parametry:
* pcRTFfile: vstupn TXT/RTF file (povinn)
*	cRTFsoubor: vstupn RTF soubor (nepovinn)
IF .not.file(pcRTFfile)
	Logging("ERR: soubor ", pcRTFfile, " nenalezen")
	RETURN .F.
ENDIF
lcRTFfile=pcRTFfile
lcCtrlChars=""
FOR xnI=1 to 31
	lcCtrlChars=lcCtrlChars+chr(xnI)
ENDFOR
WITH oFORM
.WartenSie.Visible=.T.
* nacteni RTF/TXT souboru do RTFcontrol 
IF Upper(JustExt(pcRTFfile))!=[RTF]		&& kad soubor s pponou nerovnou RTF se povauje za TXT
	lcTXTfile=GetNewTmp()+".txt"
	lcRTFfile=GetNewTmp()+".rtf"

	lcText=FileToStr(pcRTFfile)			&& naten vstupnho souboru do promnn

	IF CPcurrent() != nInputCodePage		&& pekdovn TXT, je-li poteba
		lcText=CPconvert(nInputCodePage, CPcurrent(), lcText)
		Logging("Vstupn TXT soubor ", pcRTFfile, " pekdovn z CP: ", nInputCodePage, " na ", CPcurrent() )
	ENDIF

	lcText=strTXT2RTF(lcText, cFontName, nFontSize, CPcurrent())	&& TXT to RTF
	Logging("Vstupn TXT soubor ", pcRTFfile, " konvertovn na RTF soubor ", lcRTFfile)

	IF lRemoveCtrlChars
		lcText=ChrTran(lcText, lcCtrlChars, "")
		Logging("Z RTF souboru ", pcRTFfile, " byly odstranny dc znaky" )
	ENDIF
	StrToFile(lcText, lcRTFfile, .F.)		&& uloen do TMP RTF souboru

	IF .not.empty(cRTFsoubor)
		erase (cRTFsoubor)
		StrToFile(lcText, cRTFsoubor, .F.)
		Logging("Zkonvertovan TXT soubor ", pcRTFfile, " uloen do RTF souboru ", cRTFsoubor)
	ENDIF
ENDIF


IF lRTFinternalPrint
	.RTF.LoadFile(lcRTFfile, 0)		&& load RTF file
	IF .not.empty(cPrinter)
		xhDC=int(CreateDC("WINSPOOL", cPrinter, NULL, NULL))
		For xnI=1 to pnCopies
			.RTF.SelPrint(xhDC)
		EndFor
		Logging("Vytisknut soubor: "+pcRTFfile)
		DeleteDC(xhDC)
	ENDIF
ELSE
	oWshNetwork.SetDefaultPrinter(cPrinter)
	For xnI=1 to pnCopies
		shellexecute(0, "print", lcRTFfile, "", "c:\", 1)
	EndFor
*	oWshNetwork.SetDefaultPrinter(lcOrigPrinter)
ENDIF

.WartenSie.Visible=.F.
ENDWITH
RETURN .T.

*****


*	Prevod TXT souboru (sestavy) do RTFformatu
*	jen pro VFP6 a ve

FUNCTION strTxt2Rtf(pcInputString, pcFontName, pnFontSize, pnInputCP)
*	pcInputString	vstupni textovy etzec
*	pcFontName	jmeno fontu (nepovinne), default Courier New
*	pnFontSize	velikost fontu (nepovinne), default 14 bodu, tj. velikost 7
*			vrac RTF string

local xcRTFfn, xcRTFfs, xcRTFcp, xcRTFh0, xcRTFh1, xcRTFh2, xcRTFnL, xcRTFfoot

xcReturn=[]
xcRTFfn=iif(empty(pcFontName), [Courier New], pcFontName)
xcRTFfs=iif(empty(pnFontSize), [14], Alltrim(str(pnFontSize)) )
xcRTFcp=iif(empty(pnInputCP), "1250", Transform(pnInputCP))
xcRTFh0="{\rtf1\ansi\ansicpg"+xcRTFcp+"\deff0\deflang1029{\fonttbl{\f0\fmodern\fprq1\fcharset0 "
xcRTFh1=";}}\viewkind4\uc1\pard\lang1033\f0\fs"
xcRTFh2=[ ]
xcRTFnL=[\par]
xcRTFfoot=[\lang1029\f1\par}]
xcReturn=StrTran(pcInputString, CRLF, xcRTFnl)
RETURN xcRTFh0+xcRTFfn+xcRTFh1+xcRTFfs+xcRTFh2+xcReturn+xcRTFfoot



***** never run

myEscape()
ErrTrap()
CSoff()

*****
